<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.PunchRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.PunchRecord">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="user_id" property="userId" />
        <result column="user_name" property="userName" />
        <result column="user_mobile" property="userMobile" />
        <result column="punch_time" property="punchTime" />
        <result column="punch_address" property="punchAddress" />
        <result column="punch_position_address" property="punchPositionAddress" />
        <result column="gps_position_address" property="gpsPositionAddress" />
        <result column="nfc_id" property="nfcId" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="agent_name" property="agentName" />
        <result column="property_name" property="propertyName" />
        <result column="district_name" property="districtName" />
        <result column="building_id" property="buildingId" />
        <result column="building_name" property="buildingName" />
        <result column="floor" property="floor" />
        <result column="floor_id" property="floorId" />
        <result column="multistage_grid_id" property="multistageGridId" />
        <result column="multistage_grid_name" property="multistageGridName" />
        <result column="superior_grid_name" property="superiorGridName" />
        <result column="grid_level" property="gridLevel" />
        <result column="scenes_level" property="scenesLevel" />
        <result column="scenes_id" property="scenesId" />
        <result column="scene_name" property="sceneName" />
        <result column="imei" property="imei" />
        <result column="beacn" property="beacn" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, user_id, user_name, user_mobile, punch_time, punch_address, punch_position_address, gps_position_address, nfc_id, agent_id, property_id, district_id, agent_name, property_name, district_name, building_id, building_name, floor, floor_id, multistage_grid_id, multistage_grid_name, superior_grid_name, grid_level, scenes_level, scenes_id, scene_name, imei, beacn
    </sql>

</mapper>
